// MultiDoc.h : interface of the CMultiDoc class
//
/////////////////////////////////////////////////////////////////////////////

class CMultiDoc : public CDocument
{
protected: // create from serialization only
	COLORREF m_crForeColor;
	COLORREF m_crBackColor;
	int m_nRevenues[4];
	CMultiDoc();
	DECLARE_DYNCREATE(CMultiDoc)

// Attributes
public:
	COLORREF GetForeColor ();
	COLORREF GetBackColor ();
	int GetRevenue (int nQuarter);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMultiDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMultiDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMultiDoc)
	afx_msg void OnBackgroundWhite();
	afx_msg void OnBackgroundYellow();
	afx_msg void OnBackgroundBlue();
	afx_msg void OnBackgroundBlack();
	afx_msg void OnUpdateBackgroundWhite(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBackgroundYellow(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBackgroundBlue(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBackgroundBlack(CCmdUI* pCmdUI);
	afx_msg void OnEditRevenues();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
